#!/bin/ksh

cliargs=$@



#just check for -h CANDLEHOME, the itmpatch will do the rest of the
#CLI argument checking
while getopts ":i:t:h:" OPTS
do case $OPTS in
	h) CANDLEHOME=$OPTARG
		export CANDLEHOME
		;;
	esac
done


if [ ! -n "$CANDLEHOME" ] 
then
   print "Error: The \$CANDLEHOME environment variable has to be set for this command to work."
   exit 2 
fi

CurRegPath=$CANDLEHOME/registry
ArchTbl=$CurRegPath/archdsc.tbl
DynShl=$CANDLEHOME/bin/dynarch.shl
if [ ! -d $CurRegPath ] 
then
   print "Unable to execute itmpatch please make sure that -h <ITM home> is set correctly"
   exit 3
fi

. $DynShl $ArchTbl 2>/dev/null

#
# Set the product code for CLI's
#
PRODUCT=ui

setBinLibArchs $cArch $PRODUCT

#echo "cArch: $cArch"
#echo "binArch: $binArch"

baseArch=${cArch%%[0-9]*} 
#echo "baseArch: $baseArch"

latestVer=0
for pc in $(ls $CurRegPath/ui$baseArch*.ver)
do
	#echo $pc
	curVer=$(grep VRMF $pc | awk '{ printf("%s\n", $3) }')
	if [ $curVer -gt $latestVer ]
	then
		latestVer=$curVer
		latestFile=$pc
	fi
done

#echo "latest ver: $latestVer"
#echo "latest file: $latestFile"

#remove the path from the file
patchArch=${latestFile##*/}
#remove the extension
patchArch=${patchArch%.ver}
#remove the product code
patchArch=${patchArch#$PRODUCT}
#echo "patch arch: $patchArch"



[ -n "$KUI_PATCH_DIR" ] || KUI_PATCH_DIR=$(dirname $0)
cd $KUI_PATCH_DIR; KUI_PATCH_DIR=`pwd` 
export KUI_PATCH_DIR

rm -rf $CANDLEHOME/tmp/ui_fp0001; mkdir $CANDLEHOME/tmp/ui_fp0001;
cd $CANDLEHOME/tmp/ui_fp0001; tar xf ${KUI_PATCH_DIR}/kui_${patchArch}_tecm_fp0001.tar ; cd -

$CANDLEHOME/tmp/ui_fp0001/updated_files/${patchArch}/ui/bin/itmpatch -h $CANDLEHOME -i ${KUI_PATCH_DIR} 

rm -rf  $CANDLEHOME/tmp/ui_fp0001
