#!/bin/ksh

#################################################################
#             (C) COPYRIGHT Candle Corporation 1998             #
#                      All Rights Reserved                      #
#                                                               #
#       Licensed Materials - Property of Candle Corporation     #
#         Duplication or disclosure prohibited without the      #
#        expressed written consent of the Candle Corporation.   #
#                                                               #
#################################################################

export PATH=/usr/bin:$PATH
echo $1
CANDLEHOME1=$2

if [ $1 = "startinstance" ] || [ $1 = "stopinstance" ]; then
  if [ $# -lt 3 ];then
    echo "Usage: $0 $1 CANDLEHOME pc [instance]" >&2
    exit 1
  fi
elif [ $1 != "umstart" ] && [ $1 != "umstop" ] && [ $# -ne 2 ]
then
  echo "Usage: $0 action CANDLEHOME" >&2
  exit 1
elif [ $1 = "umstart" ] && [ $# -ne 2 ] && [ $# -ne 4 ] && [ $# -ne 6 ]
then
  echo "Usage: $0 action CANDLEHOME | -o DataProvider | -p instance |" >&2
  exit 1
elif [ $1 = "umstop" ] && [ $# -ne 2 ] && [ $# -ne 4 ]
then
  echo "Usage: $0 action CANDLEHOME | -p instance |" >&2
  exit 1
fi


if [ $(echo "$2" | wc -w) -ne 1 ]
then
  echo "Blanks are not permitted in CANDLEHOME" >&2
  exit 1
fi


if [ $1 = "uxstart" ]
then
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 start ux&"
fi

if [ $1 = "uxstop" ]
then
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 stop ux&"
fi

if [ $1 = "ulstart" ]
then
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 start ul&"
fi

if [ $1 = "ulstop" ]
then
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 stop ul&"
fi

if [ $1 = "udstart" ]
then
option=$3
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 -o $option start ud&"
fi

if [ $1 = "udstop" ]
then
option=$3
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 -o $option stop ud&"
fi

if [ $1 = "wlstart" ]
then
option=$3
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 -o $option start wl&"
fi

if [ $1 = "wlstop" ]
then
option=$3
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 -o $option stop wl&"
fi

if [ $1 = "umstart" ]
then
option=$3
data_provider=$4
poption=$5
instance=$6
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 $option $data_provider $poption $instance start um&"
fi

if [ $1 = "umstop" ]
then
option=$3
instance=$4
command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 $option $instance stop um&"
fi

if [ $1 = "startinstance" ]; then
	pc=$3
	instance=$4
	if [[ -n "$instance" ]]; then
		command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 -o $instance start $pc &"
	else
		command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 start $pc &"
	fi
fi

if [ $1 = "stopinstance" ]; then
	pc=$3
	instance=$4
	if [[ -n "$instance" ]]; then
		command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 -o $instance stop $pc &"
	else
		command="$CANDLEHOME1/bin/CandleAgent -h $CANDLEHOME1 stop $pc &"
	fi
fi


eval $command
